//    Final Release of Patch v86P-3
//
//    Converted to KEAterm script by Lee Wolfe on 21-Sep-2001 to patch
//    HSG80 v86P-2 to v86P-3. Only applicable to v86P-1 code build stream.
//    Pre-requisite patch v86P-2 must be installed prior to this patch.
//
//    Note: You CANNOT install this patch into v86P-0 build.
//
//    *************** COMPAQ COMPUTER CORPORATION DISCLAIMER ****************
//    * In accordance to Compaq's commitment to maintain the highest level  *
//    * of customer satisfaction, this patch is being provided to customers *
//    * who have purchased the referenced Storageworks product that is      *
//    * currently covered by one of Compaq's  extensive warranty plans and  *
//    * is also provided to those customers not yet underCompaq's extended  *
//    * warranty plan as a courtesy.  The availability of this patch is in  *
//    * no way an obligation by Compaq to continue this practice in the     *
//    * future.                                                             *
//    ***********************************************************************
//
//    ****************************** WARNING ********************************
//    *                                                                     *
//    *   Please be sure to cut and paste EXACTLY as indicated.  Any        *
//    *   addition or subtraction of pertinent patch data will mean the     *
//    *   patch will not load due to a checksum failure and the controller  *
//    *   will remain at it's original version.                             *
//    *                                                                     *
//    *   As always, any critical data should be backed up prior to         * 
//    *   performing any updates.                                           *
//    ***********************************************************************
//
//    PATCH V86P-3
//
//    Patch Title: Sparing size, Save_Configuration, UA buffer loss
//    HSOF Version: HSG80 V86
//    Patch Number: 3	
//    Date: 19-Sept-2001
//
//    I. Patch Description:
//
//    Problem Symptoms:  
//    1. Storage units containing Save_Configuration data written by an
//       ACS version prior to V86 will be shown as existing by V86, and
//       presumably is valid (which it is not).  
//    2. A replacement disk drive of equal capacity to a failing
//       drive can not be used as the spare if the the drive involved
//       has Save_configuration data written by a prior to a V86 version
//       of ACS on that drive/unit. 
//    3. HSG80 Controllers crash with LFC 02F60103 and 43130100.
//
//    Background:   
//       Metadata region was required to expand due to V86
//       functionality enhancements.  
//
//    Resolution: 
//    1. When storage unit is discovered to have an old version of
//       metadata area allocated,  the metadata will be invalidated so
//       that the old Save_Configuration data disappears. 
//    2. Doing solution #1, resolves the capacity issue during
//       spare device replacements for failed drives. 
//    3. This patch will ensure that HSG80 Controllers handle UA traffic
//       and prevent buffer loss.
//
//    ----- Begin v86P-3 script -----
//
MsgBox ("Beginning installation of patch v86P-3. Controller must be at v86P-2 to continue.")
//
CR = "^M"
Send ( CR )
Send ( "run clcp" + CR )
Send ( "2" + CR )
Send ( "1" + CR )
Send ( "y" + CR )
Send ( "V86P" + CR )
Send ( "158" + CR )
Send ( "0" + CR )
Send ( "3" + CR )
Send ( "1" + CR )
Wait ( 20 )
Send ( "C004708C" + CR )
Send ( "08000050" + CR )
Send ( "2" + CR )
Send ( "C0075020" + CR )
Send ( "84003000" + CR )
Send ( "C0FFF3B8" + CR )
Send ( "1" + CR )
Send ( "C00A69E8" + CR )
Send ( "08000014" + CR )
Send ( "3" + CR )
Wait ( 20 )
Send ( "C00D07F0" + CR )
Send ( "80A5A0B3" + CR )
Send ( "59ABDE03" + CR )
Send ( "59A50E18" + CR )
Send ( "1" + CR )
Send ( "C00D0DCC" + CR )
Send ( "59ABDE03" + CR )
Send ( "2" + CR )
Send ( "C00D6D6C" + CR )
Send ( "84003000" + CR )
Wait ( 20 )
Send ( "C0FFF3D4" + CR )
Send ( "17" + CR )
Send ( "C0FFF3B8" + CR )
Send ( "90A420C8" + CR )
Send ( "58A50E0E" + CR )
Send ( "92A420C8" + CR )
Send ( "8CA57400" + CR )
Send ( "FFFFFE0C" + CR )
Send ( "84003000" + CR )
Send ( "C0075028" + CR )
Wait ( 20 )
Send ( "80A560B3" + CR )
Send ( "3205200C" + CR )
Send ( "59A50901" + CR )
Send ( "82A560B3" + CR )
Send ( "90A56088" + CR )
Send ( "3205200C" + CR )
Send ( "84003000" + CR )
Send ( "C00D6D74" + CR )
Send ( "84003000" + CR )
Send ( "C00D6D80" + CR )
Wait ( 20 )
Send ( "0" + CR )
Send ( "CB34D779" + CR )
Send ( "3" + CR )
Send ( "0" + CR )
//
//    ----- End v86P-3 script -----
//
MsgBox ("Patch v86P-3 has been installed. Restart controller for patch to take affect. If dual controllers, patch other controller now.")
//